<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateContosTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('contos', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('nomeConto')->unique();
            $table->string('Banca');
            $table->string('IBAN')->nullable();
            $table->decimal('saldo_iniziale',10,2)->default(0.00);
            $table->longText('note')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::dropIfExists('contos');
    }
};
